/**
 * Copyright 2004-present Facebook. AllRights Reserved.
 *
 * @emails oncall+reason
 */;

type code =
  | Code(string, string, string);

type group =
  | Group(string, list(string), list(code));

let config: list(group) = [
  /* TODO: Make this group complete. */
  Group(
    "Arrows",
    [
      "U2190.pdf",
      "U2794.pdf",
      "U2B00.pdf",
      "U27F0.pdf",
      "U2900.pdf",
      "U1F800.pdf",
    ],
    [
      Code("leftwardsArrowWithSmallTriangleArrowhead", "1F800", ""),
      Code("rightwardsArrowWithSmallTriangleArrowhead", "1F801", ""),
    ],
  ),
  Group(
    "Block",
    ["U2580.pdf"],
    [
      Code("upperHalfBlock", "2580", ""),
      Code("lowerOneEighthBlock", "2581", ""),
      Code("lowerOneQuarterBlock", "2582", ""),
      Code("lowerThreeEighthsBlock", "2583", ""),
      Code("lowerHalfBlock", "2584", ""),
      Code("lowerFiveEighthsBlock", "2585", ""),
      Code("lowerThreeQuartersBlock", "2586", ""),
      Code("lowerSevenEighthsBlock", "2587", ""),
      Code("fullBlock", "2588", ""),
      Code("leftSevenEighthsBlock", "2589", ""),
      Code("leftThreeQuartersBlock", "258A", ""),
      Code("leftFiveEighthsBlock", "258B", ""),
      Code("leftHalfBlock", "258C", ""),
      Code("leftThreeEighthsBlock", "258D", ""),
      Code("leftOneQuarterBlock", "258E", ""),
      Code("leftOneEighthBlock", "258F", ""),
      Code("rightHalfBlock", "2590", ""),
      Code("lightShade", "2591", ""),
      Code("mediumShade", "2592", ""),
      Code("darkShade", "2593", ""),
      Code("upperOneEighthBlock", "2594", ""),
      Code("rightOneEighthBlock", "2595", ""),
      Code("quadrantLowerLeft", "2596", ""),
      Code("quadrantLowerRight", "2597", ""),
      Code("quadrantUpperLeft", "2598", ""),
      Code("quadrantUpperLeftAndLowerLeftAndLowerRight", "2599", ""),
      Code("quadrantUpperLeftAndLowerRight", "259A", ""),
      Code("quadrantUpperLeftAndUpperRightAndLowerLeft", "259B", ""),
      Code("quadrantUpperLeftAndUpperRightAndLowerRight", "259C", ""),
      Code("quadrantUpperRight", "259D", ""),
      Code("quadrantUpperRightAndLowerLeft", "259E", ""),
      Code("quadrantUpperRightAndLowerLeftAndLowerRight", "259F", ""),
    ],
  ),
  Group(
    "BoxDrawing",
    ["U2500.pdf"],
    [
      Code("lightHorizontal", "2500", ""),
      Code("heavyHorizontal", "2501", ""),
      Code("lightVertical", "2502", ""),
      Code("heavyVertical", "2503", ""),
      Code("lightTripleDashHorizontal", "2504", ""),
      Code("heavyTripleDashHorizontal", "2505", ""),
      Code("lightTripleDashVertical", "2506", ""),
      Code("heavyTripleDashVertical", "2507", ""),
      Code("lightQuadrupleDashHorizontal", "2508", ""),
      Code("heavyQuadrupleDashHorizontal", "2509", ""),
      Code("lightQuadrupleDashVertical", "250A", ""),
      Code("heavyQuadrupleDashVertical", "250B", ""),
      Code("lightDownAndRight", "250C", ""),
      Code("downLightAndRightHeavy", "250D", ""),
      Code("downHeavyAndRightLight", "250E", ""),
      Code("heavyDownAndRight", "250F", ""),
      Code("lightDownAndLeft", "2510", ""),
      Code("downLightAndLeftHeavy", "2511", ""),
      Code("downHeavyAndLeftLight", "2512", ""),
      Code("heavyDownAndLeft", "2513", ""),
      Code("lightUpAndRight", "2514", ""),
      Code("upLightAndRightHeavy", "2515", ""),
      Code("upHeavyAndRightLight", "2516", ""),
      Code("heavyUpAndRight", "2517", ""),
      Code("lightUpAndLeft", "2518", ""),
      Code("upLightAndLeftHeavy", "2519", ""),
      Code("upHeavyAndLeftLight", "251A", ""),
      Code("heavyUpAndLeft", "251B", ""),
      Code("lightVerticalAndRight", "251C", ""),
      Code("verticalLightAndRightHeavy", "251D", ""),
      Code("upHeavyAndRightDownLight", "251E", ""),
      Code("downHeavyAndRightUpLight", "251F", ""),
      Code("verticalHeavyAndRightLight", "2520", ""),
      Code("downLightAndRightUpHeavy", "2521", ""),
      Code("upLightAndRightDownHeavy", "2522", ""),
      Code("heavyVerticalAndRight", "2523", ""),
      Code("lightVerticalAndLeft", "2524", ""),
      Code("verticalLightAndLeftHeavy", "2525", ""),
      Code("upHeavyAndLeftDownLight", "2526", ""),
      Code("downHeavyAndLeftUpLight", "2527", ""),
      Code("verticalHeavyAndLeftLight", "2528", ""),
      Code("downLightAndLeftUpHeavy", "2529", ""),
      Code("upLightAndLeftDownHeavy", "252A", ""),
      Code("heavyVerticalAndLeft", "252B", ""),
      Code("lightDownAndHorizontal", "252C", ""),
      Code("leftHeavyAndRightDownLight", "252D", ""),
      Code("rightHeavyAndLeftDownLight", "252E", ""),
      Code("downLightAndHorizontalHeavy", "252F", ""),
      Code("downHeavyAndHorizontalLight", "2530", ""),
      Code("rightLightAndLeftDownHeavy", "2531", ""),
      Code("leftLightAndRightDownHeavy", "2532", ""),
      Code("heavyDownAndHorizontal", "2533", ""),
      Code("lightUpAndHorizontal", "2534", ""),
      Code("leftHeavyAndRightUpLight", "2535", ""),
      Code("rightHeavyAndLeftUpLight", "2536", ""),
      Code("upLightAndHorizontalHeavy", "2537", ""),
      Code("upHeavyAndHorizontalLight", "2538", ""),
      Code("rightLightAndLeftUpHeavy", "2539", ""),
      Code("leftLightAndRightUpHeavy", "253A", ""),
      Code("heavyUpAndHorizontal", "253B", ""),
      Code("lightVerticalAndHorizontal", "253C", ""),
      Code("leftHeavyAndRightVerticalLight", "253D", ""),
      Code("rightHeavyAndLeftVerticalLight", "253E", ""),
      Code("verticalLightAndHorizontalHeavy", "253F", ""),
      Code("upHeavyAndDownHorizontalLight", "2540", ""),
      Code("downHeavyAndUpHorizontalLight", "2541", ""),
      Code("verticalHeavyAndHorizontalLight", "2542", ""),
      Code("leftUpHeavyAndRightDownLight", "2543", ""),
      Code("rightUpHeavyAndLeftDownLight", "2544", ""),
      Code("leftDownHeavyAndRightUpLight", "2545", ""),
      Code("rightDownHeavyAndLeftUpLight", "2546", ""),
      Code("downLightAndUpHorizontalHeavy", "2547", ""),
      Code("upLightAndDownHorizontalHeavy", "2548", ""),
      Code("rightLightAndLeftVerticalHeavy", "2549", ""),
      Code("leftLightAndRightVerticalHeavy", "254A", ""),
      Code("heavyVerticalAndHorizontal", "254B", ""),
      Code("lightDoubleDashHorizontal", "254C", ""),
      Code("heavyDoubleDashHorizontal", "254D", ""),
      Code("lightDoubleDashVertical", "254E", ""),
      Code("heavyDoubleDashVertical", "254F", ""),
      Code("doubleHorizontal", "2550", ""),
      Code("doubleVertical", "2551", ""),
      Code("downSingleAndRightDouble", "2552", ""),
      Code("downDoubleAndRightSingle", "2553", ""),
      Code("doubleDownAndRight", "2554", ""),
      Code("downSingleAndLeftDouble", "2555", ""),
      Code("downDoubleAndLeftSingle", "2556", ""),
      Code("doubleDownAndLeft", "2557", ""),
      Code("upSingleAndRightDouble", "2558", ""),
      Code("upDoubleAndRightSingle", "2559", ""),
      Code("doubleUpAndRight", "255A", ""),
      Code("upSingleAndLeftDouble", "255B", ""),
      Code("upDoubleAndLeftSingle", "255C", ""),
      Code("doubleUpAndLeft", "255D", ""),
      Code("verticalSingleAndRightDouble", "255E", ""),
      Code("verticalDoubleAndRightSingle", "255F", ""),
      Code("doubleVerticalAndRight", "2560", ""),
      Code("verticalSingleAndLeftDouble", "2561", ""),
      Code("verticalDoubleAndLeftSingle", "2562", ""),
      Code("doubleVerticalAndLeft", "2563", ""),
      Code("downSingleAndHorizontalDouble", "2564", ""),
      Code("downDoubleAndHorizontalSingle", "2565", ""),
      Code("doubleDownAndHorizontal", "2566", ""),
      Code("upSingleAndHorizontalDouble", "2567", ""),
      Code("upDoubleAndHorizontalSingle", "2568", ""),
      Code("doubleUpAndHorizontal", "2569", ""),
      Code("verticalSingleAndHorizontalDouble", "256A", ""),
      Code("verticalDoubleAndHorizontalSingle", "256B", ""),
      Code("doubleVerticalAndHorizontal", "256C", ""),
      Code("lightArcDownAndRight", "256D", ""),
      Code("lightArcDownAndLeft", "256E", ""),
      Code("lightArcUpAndLeft", "256F", ""),
      Code("lightArcUpAndRight", "2570", ""),
      Code("lightDiagonalUpperRightToLowerLeft", "2571", ""),
      Code("lightDiagonalUpperLeftToLowerRight", "2572", ""),
      Code("lightDiagonalCross", "2573", ""),
      Code("lightLeft", "2574", ""),
      Code("lightUp", "2575", ""),
      Code("lightRight", "2576", ""),
      Code("lightDown", "2577", ""),
      Code("heavyLeft", "2578", ""),
      Code("heavyUp", "2579", ""),
      Code("heavyRight", "257A", ""),
      Code("heavyDown", "257B", ""),
      Code("lightLeftAndHeavyRight", "257C", ""),
      Code("lightUpAndHeavyDown", "257D", ""),
      Code("heavyLeftAndLightRight", "257E", ""),
      Code("heavyUpAndLightDown", "257F", ""),
    ],
  ),
  Group(
    "Currency",
    ["U20A0.pdf"],
    [
      Code("dollar", "0024", ""),
      Code("cent", "00A2", ""),
      Code("pound", "00A3", ""),
      Code("currency", "00A4", ""),
      Code("yen", "00A5", ""),
      Code("euroCurrency", "20A0", "Not the Euro. Not widely used."),
      Code("colon", "20A1", "Costa Rica, El Salvador"),
      Code("cruzeiro", "20A2", "Brazil"),
      Code("frenchFranc", "20A3", "France"),
      Code(
        "lira",
        "20A4",
        "Not widely used. Preferred character for lira is `pound`.",
      ),
      Code("mill", "20A5", "USA (1/10 cent)"),
      Code("naira", "20A6", "Nigeria"),
      Code("peseta", "20A7", "Spain"),
      Code(
        "rupee",
        "20A8",
        "India, unofficial legacy practice. See `indianRupee`.",
      ),
      Code("won", "20A9", "Korea"),
      Code("newSheqel", "20AA", "Israel"),
      Code("dong", "20AB", "Vietnam"),
      Code("euro", "20AC", "European Monetary Union"),
      Code("kip", "20AD", "Laos"),
      Code("tugrik", "20AE", "Mongolia"),
      Code("drachma", "20AF", "Greece"),
      Code("germanPenny", "20B0", ""),
      Code("peso", "20B1", "Philippines"),
      Code("guarani", "20B2", "Paraguay. Often represented G. or Gs."),
      Code("austral", "20B3", "former Argentinian currency"),
      Code("hryvnia", "20B4", "Ukraine"),
      Code("cedi", "20B5", "Ghana"),
      Code(
        "livreTournois",
        "20B6",
        "used in France from 13th-18th centuries",
      ),
      Code(
        "spesmilo",
        "20B7",
        "historical international currency associated with Esperanto",
      ),
      Code("tenge", "20B8", "Kazakhstan"),
      Code("indianRupee", "20B9", "official rupee currency sign for India"),
      Code("turkishLira", "20BA", "official lira currency sign for Turkey"),
      Code(
        "nordicMark",
        "20BB",
        "early representation of the Mark currency used in Denmark and Norway",
      ),
      Code("manat", "20BC", "Azerbaijan"),
      Code("ruble", "20BD", "Russia"),
      Code("lari", "20BE", "Georgia"),
      Code("bitcoin", "20BF", "a cryptocurrency"),
    ],
  ),
];
