/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * Details for these unicode characters can be found at:
 *
 * - https://www.unicode.org/charts/PDF/U2500.pdf
 *
 * This file is generated, do not modify it manually.
 *
 * - Modify unicode-config/UnicodeConfig.re
 * - Run `scripts/re/unicode-gen/run`
 *   - (script is internal only for now, we can help in the PR) 
 * - Then submit your changes
 *
 * @generated SignedSource<<8c2cfdbb9c7c1c3f9a5778be65f6478d>>
 */;

let u = Utils.u;

/** ─ - 2500 */
let lightHorizontal = u(0x2500);

/** ━ - 2501 */
let heavyHorizontal = u(0x2501);

/** │ - 2502 */
let lightVertical = u(0x2502);

/** ┃ - 2503 */
let heavyVertical = u(0x2503);

/** ┄ - 2504 */
let lightTripleDashHorizontal = u(0x2504);

/** ┅ - 2505 */
let heavyTripleDashHorizontal = u(0x2505);

/** ┆ - 2506 */
let lightTripleDashVertical = u(0x2506);

/** ┇ - 2507 */
let heavyTripleDashVertical = u(0x2507);

/** ┈ - 2508 */
let lightQuadrupleDashHorizontal = u(0x2508);

/** ┉ - 2509 */
let heavyQuadrupleDashHorizontal = u(0x2509);

/** ┊ - 250A */
let lightQuadrupleDashVertical = u(0x250A);

/** ┋ - 250B */
let heavyQuadrupleDashVertical = u(0x250B);

/** ┌ - 250C */
let lightDownAndRight = u(0x250C);

/** ┍ - 250D */
let downLightAndRightHeavy = u(0x250D);

/** ┎ - 250E */
let downHeavyAndRightLight = u(0x250E);

/** ┏ - 250F */
let heavyDownAndRight = u(0x250F);

/** ┐ - 2510 */
let lightDownAndLeft = u(0x2510);

/** ┑ - 2511 */
let downLightAndLeftHeavy = u(0x2511);

/** ┒ - 2512 */
let downHeavyAndLeftLight = u(0x2512);

/** ┓ - 2513 */
let heavyDownAndLeft = u(0x2513);

/** └ - 2514 */
let lightUpAndRight = u(0x2514);

/** ┕ - 2515 */
let upLightAndRightHeavy = u(0x2515);

/** ┖ - 2516 */
let upHeavyAndRightLight = u(0x2516);

/** ┗ - 2517 */
let heavyUpAndRight = u(0x2517);

/** ┘ - 2518 */
let lightUpAndLeft = u(0x2518);

/** ┙ - 2519 */
let upLightAndLeftHeavy = u(0x2519);

/** ┚ - 251A */
let upHeavyAndLeftLight = u(0x251A);

/** ┛ - 251B */
let heavyUpAndLeft = u(0x251B);

/** ├ - 251C */
let lightVerticalAndRight = u(0x251C);

/** ┝ - 251D */
let verticalLightAndRightHeavy = u(0x251D);

/** ┞ - 251E */
let upHeavyAndRightDownLight = u(0x251E);

/** ┟ - 251F */
let downHeavyAndRightUpLight = u(0x251F);

/** ┠ - 2520 */
let verticalHeavyAndRightLight = u(0x2520);

/** ┡ - 2521 */
let downLightAndRightUpHeavy = u(0x2521);

/** ┢ - 2522 */
let upLightAndRightDownHeavy = u(0x2522);

/** ┣ - 2523 */
let heavyVerticalAndRight = u(0x2523);

/** ┤ - 2524 */
let lightVerticalAndLeft = u(0x2524);

/** ┥ - 2525 */
let verticalLightAndLeftHeavy = u(0x2525);

/** ┦ - 2526 */
let upHeavyAndLeftDownLight = u(0x2526);

/** ┧ - 2527 */
let downHeavyAndLeftUpLight = u(0x2527);

/** ┨ - 2528 */
let verticalHeavyAndLeftLight = u(0x2528);

/** ┩ - 2529 */
let downLightAndLeftUpHeavy = u(0x2529);

/** ┪ - 252A */
let upLightAndLeftDownHeavy = u(0x252A);

/** ┫ - 252B */
let heavyVerticalAndLeft = u(0x252B);

/** ┬ - 252C */
let lightDownAndHorizontal = u(0x252C);

/** ┭ - 252D */
let leftHeavyAndRightDownLight = u(0x252D);

/** ┮ - 252E */
let rightHeavyAndLeftDownLight = u(0x252E);

/** ┯ - 252F */
let downLightAndHorizontalHeavy = u(0x252F);

/** ┰ - 2530 */
let downHeavyAndHorizontalLight = u(0x2530);

/** ┱ - 2531 */
let rightLightAndLeftDownHeavy = u(0x2531);

/** ┲ - 2532 */
let leftLightAndRightDownHeavy = u(0x2532);

/** ┳ - 2533 */
let heavyDownAndHorizontal = u(0x2533);

/** ┴ - 2534 */
let lightUpAndHorizontal = u(0x2534);

/** ┵ - 2535 */
let leftHeavyAndRightUpLight = u(0x2535);

/** ┶ - 2536 */
let rightHeavyAndLeftUpLight = u(0x2536);

/** ┷ - 2537 */
let upLightAndHorizontalHeavy = u(0x2537);

/** ┸ - 2538 */
let upHeavyAndHorizontalLight = u(0x2538);

/** ┹ - 2539 */
let rightLightAndLeftUpHeavy = u(0x2539);

/** ┺ - 253A */
let leftLightAndRightUpHeavy = u(0x253A);

/** ┻ - 253B */
let heavyUpAndHorizontal = u(0x253B);

/** ┼ - 253C */
let lightVerticalAndHorizontal = u(0x253C);

/** ┽ - 253D */
let leftHeavyAndRightVerticalLight = u(0x253D);

/** ┾ - 253E */
let rightHeavyAndLeftVerticalLight = u(0x253E);

/** ┿ - 253F */
let verticalLightAndHorizontalHeavy = u(0x253F);

/** ╀ - 2540 */
let upHeavyAndDownHorizontalLight = u(0x2540);

/** ╁ - 2541 */
let downHeavyAndUpHorizontalLight = u(0x2541);

/** ╂ - 2542 */
let verticalHeavyAndHorizontalLight = u(0x2542);

/** ╃ - 2543 */
let leftUpHeavyAndRightDownLight = u(0x2543);

/** ╄ - 2544 */
let rightUpHeavyAndLeftDownLight = u(0x2544);

/** ╅ - 2545 */
let leftDownHeavyAndRightUpLight = u(0x2545);

/** ╆ - 2546 */
let rightDownHeavyAndLeftUpLight = u(0x2546);

/** ╇ - 2547 */
let downLightAndUpHorizontalHeavy = u(0x2547);

/** ╈ - 2548 */
let upLightAndDownHorizontalHeavy = u(0x2548);

/** ╉ - 2549 */
let rightLightAndLeftVerticalHeavy = u(0x2549);

/** ╊ - 254A */
let leftLightAndRightVerticalHeavy = u(0x254A);

/** ╋ - 254B */
let heavyVerticalAndHorizontal = u(0x254B);

/** ╌ - 254C */
let lightDoubleDashHorizontal = u(0x254C);

/** ╍ - 254D */
let heavyDoubleDashHorizontal = u(0x254D);

/** ╎ - 254E */
let lightDoubleDashVertical = u(0x254E);

/** ╏ - 254F */
let heavyDoubleDashVertical = u(0x254F);

/** ═ - 2550 */
let doubleHorizontal = u(0x2550);

/** ║ - 2551 */
let doubleVertical = u(0x2551);

/** ╒ - 2552 */
let downSingleAndRightDouble = u(0x2552);

/** ╓ - 2553 */
let downDoubleAndRightSingle = u(0x2553);

/** ╔ - 2554 */
let doubleDownAndRight = u(0x2554);

/** ╕ - 2555 */
let downSingleAndLeftDouble = u(0x2555);

/** ╖ - 2556 */
let downDoubleAndLeftSingle = u(0x2556);

/** ╗ - 2557 */
let doubleDownAndLeft = u(0x2557);

/** ╘ - 2558 */
let upSingleAndRightDouble = u(0x2558);

/** ╙ - 2559 */
let upDoubleAndRightSingle = u(0x2559);

/** ╚ - 255A */
let doubleUpAndRight = u(0x255A);

/** ╛ - 255B */
let upSingleAndLeftDouble = u(0x255B);

/** ╜ - 255C */
let upDoubleAndLeftSingle = u(0x255C);

/** ╝ - 255D */
let doubleUpAndLeft = u(0x255D);

/** ╞ - 255E */
let verticalSingleAndRightDouble = u(0x255E);

/** ╟ - 255F */
let verticalDoubleAndRightSingle = u(0x255F);

/** ╠ - 2560 */
let doubleVerticalAndRight = u(0x2560);

/** ╡ - 2561 */
let verticalSingleAndLeftDouble = u(0x2561);

/** ╢ - 2562 */
let verticalDoubleAndLeftSingle = u(0x2562);

/** ╣ - 2563 */
let doubleVerticalAndLeft = u(0x2563);

/** ╤ - 2564 */
let downSingleAndHorizontalDouble = u(0x2564);

/** ╥ - 2565 */
let downDoubleAndHorizontalSingle = u(0x2565);

/** ╦ - 2566 */
let doubleDownAndHorizontal = u(0x2566);

/** ╧ - 2567 */
let upSingleAndHorizontalDouble = u(0x2567);

/** ╨ - 2568 */
let upDoubleAndHorizontalSingle = u(0x2568);

/** ╩ - 2569 */
let doubleUpAndHorizontal = u(0x2569);

/** ╪ - 256A */
let verticalSingleAndHorizontalDouble = u(0x256A);

/** ╫ - 256B */
let verticalDoubleAndHorizontalSingle = u(0x256B);

/** ╬ - 256C */
let doubleVerticalAndHorizontal = u(0x256C);

/** ╭ - 256D */
let lightArcDownAndRight = u(0x256D);

/** ╮ - 256E */
let lightArcDownAndLeft = u(0x256E);

/** ╯ - 256F */
let lightArcUpAndLeft = u(0x256F);

/** ╰ - 2570 */
let lightArcUpAndRight = u(0x2570);

/** ╱ - 2571 */
let lightDiagonalUpperRightToLowerLeft = u(0x2571);

/** ╲ - 2572 */
let lightDiagonalUpperLeftToLowerRight = u(0x2572);

/** ╳ - 2573 */
let lightDiagonalCross = u(0x2573);

/** ╴ - 2574 */
let lightLeft = u(0x2574);

/** ╵ - 2575 */
let lightUp = u(0x2575);

/** ╶ - 2576 */
let lightRight = u(0x2576);

/** ╷ - 2577 */
let lightDown = u(0x2577);

/** ╸ - 2578 */
let heavyLeft = u(0x2578);

/** ╹ - 2579 */
let heavyUp = u(0x2579);

/** ╺ - 257A */
let heavyRight = u(0x257A);

/** ╻ - 257B */
let heavyDown = u(0x257B);

/** ╼ - 257C */
let lightLeftAndHeavyRight = u(0x257C);

/** ╽ - 257D */
let lightUpAndHeavyDown = u(0x257D);

/** ╾ - 257E */
let heavyLeftAndLightRight = u(0x257E);

/** ╿ - 257F */
let heavyUpAndLightDown = u(0x257F);
