/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * Details for these unicode characters can be found at:
 *
 * - https://www.unicode.org/charts/PDF/U20A0.pdf
 *
 * This file is generated, do not modify it manually.
 *
 * - Modify unicode-config/UnicodeConfig.re
 * - Run `scripts/re/unicode-gen/run`
 *   - (script is internal only for now, we can help in the PR) 
 * - Then submit your changes
 *
 * @generated SignedSource<<7b6ad6209a11ba24ef3b8e7870863612>>
 */;

let u = Utils.u;

/** $ - 0024 */
let dollar = u(0x0024);

/** ¢ - 00A2 */
let cent = u(0x00A2);

/** £ - 00A3 */
let pound = u(0x00A3);

/** ¤ - 00A4 */
let currency = u(0x00A4);

/** ¥ - 00A5 */
let yen = u(0x00A5);

/** ₠ - 20A0 - Not the Euro. Not widely used. */
let euroCurrency = u(0x20A0);

/** ₡ - 20A1 - Costa Rica, El Salvador */
let colon = u(0x20A1);

/** ₢ - 20A2 - Brazil */
let cruzeiro = u(0x20A2);

/** ₣ - 20A3 - France */
let frenchFranc = u(0x20A3);

/** ₤ - 20A4 - Not widely used. Preferred character for lira is `pound`. */
let lira = u(0x20A4);

/** ₥ - 20A5 - USA (1/10 cent) */
let mill = u(0x20A5);

/** ₦ - 20A6 - Nigeria */
let naira = u(0x20A6);

/** ₧ - 20A7 - Spain */
let peseta = u(0x20A7);

/** ₨ - 20A8 - India, unofficial legacy practice. See `indianRupee`. */
let rupee = u(0x20A8);

/** ₩ - 20A9 - Korea */
let won = u(0x20A9);

/** ₪ - 20AA - Israel */
let newSheqel = u(0x20AA);

/** ₫ - 20AB - Vietnam */
let dong = u(0x20AB);

/** € - 20AC - European Monetary Union */
let euro = u(0x20AC);

/** ₭ - 20AD - Laos */
let kip = u(0x20AD);

/** ₮ - 20AE - Mongolia */
let tugrik = u(0x20AE);

/** ₯ - 20AF - Greece */
let drachma = u(0x20AF);

/** ₰ - 20B0 */
let germanPenny = u(0x20B0);

/** ₱ - 20B1 - Philippines */
let peso = u(0x20B1);

/** ₲ - 20B2 - Paraguay. Often represented G. or Gs. */
let guarani = u(0x20B2);

/** ₳ - 20B3 - former Argentinian currency */
let austral = u(0x20B3);

/** ₴ - 20B4 - Ukraine */
let hryvnia = u(0x20B4);

/** ₵ - 20B5 - Ghana */
let cedi = u(0x20B5);

/** ₶ - 20B6 - used in France from 13th-18th centuries */
let livreTournois = u(0x20B6);

/** ₷ - 20B7 - historical international currency associated with Esperanto */
let spesmilo = u(0x20B7);

/** ₸ - 20B8 - Kazakhstan */
let tenge = u(0x20B8);

/** ₹ - 20B9 - official rupee currency sign for India */
let indianRupee = u(0x20B9);

/** ₺ - 20BA - official lira currency sign for Turkey */
let turkishLira = u(0x20BA);

/** ₻ - 20BB - early representation of the Mark currency used in Denmark and Norway */
let nordicMark = u(0x20BB);

/** ₼ - 20BC - Azerbaijan */
let manat = u(0x20BC);

/** ₽ - 20BD - Russia */
let ruble = u(0x20BD);

/** ₾ - 20BE - Georgia */
let lari = u(0x20BE);

/** ₿ - 20BF - a cryptocurrency */
let bitcoin = u(0x20BF);
