/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */;
/**
 * Hard coded array of words taken from a lorem ipsum generator used for some
 * fuzz testing.
 */
let words = [|
  "Lorem",
  "ipsum",
  "dolor",
  "sit",
  "amet,",
  "consectetur",
  "adipiscing",
  "elit.",
  "Curabitur",
  "a",
  "eros",
  "luctus,",
  "fermentum",
  "tortor",
  "eget,",
  "aliquet",
  "lorem.",
  "Suspendisse",
  "magna",
  "nunc,",
  "fermentum",
  "a",
  "placerat",
  "euismod,",
  "gravida",
  "at",
  "lacus.",
  "Proin",
  "varius",
  "ullamcorper",
  "aliquet.",
  "Vivamus",
  "a",
  "ipsum",
  "tellus.",
  "Morbi",
  "felis",
  "nulla,",
  "auctor",
  "a",
  "dignissim",
  "a,",
  "aliquam",
  "et",
  "arcu.",
  "Nullam",
  "dapibus",
  "eget",
  "mi",
  "a",
  "tempor.",
  "Pellentesque",
  "habitant",
  "morbi",
  "tristique",
  "senectus",
  "et",
  "netus",
  "et",
  "malesuada",
  "fames",
  "ac",
  "turpis",
  "egestas.",
  "Fusce",
  "non",
  "mi",
  "cursus,",
  "tempor",
  "tortor",
  "sed,",
  "fringilla",
  "augue.",
  "Fusce",
  "diam",
  "dui,",
  "posuere",
  "eget",
  "pharetra",
  "id,",
  "rutrum",
  "vitae",
  "elit.",
  "Nunc",
  "feugiat",
  "libero",
  "nec",
  "tincidunt",
  "ultricies.",
  "Suspendisse",
  "ornare",
  "enim",
  "vitae",
  "ligula",
  "gravida,",
  "non",
  "interdum",
  "sem",
  "finibus.",
  "Maecenas",
  "eu",
  "porta",
  "nisl.",
  "Nulla",
  "tempus",
  "dui",
  "quis",
  "urna",
  "congue",
  "pellentesque.",
  "Morbi",
  "eget",
  "blandit",
  "erat.",
  "Fusce",
  "nec",
  "elementum",
  "nunc.",
  "In",
  "mi",
  "felis,",
  "faucibus",
  "in",
  "tortor",
  "at,",
  "blandit",
  "fermentum",
  "ex.",
  "Morbi",
  "ullamcorper",
  "ullamcorper",
  "est",
  "mattis",
  "placerat.",
  "Donec",
  "leo",
  "elit,",
  "blandit",
  "sit",
  "amet",
  "est",
  "et,",
  "tincidunt",
  "lobortis",
  "elit.",
  "Nullam",
  "nec",
  "nisi",
  "ac",
  "lorem",
  "varius",
  "ornare.",
  "Duis",
  "vel",
  "venenatis",
  "erat.",
  "Nam",
  "convallis,",
  "urna",
  "eget",
  "ullamcorper",
  "tempor,",
  "mi",
  "mauris",
  "porttitor",
  "dolor,",
  "quis",
  "rhoncus",
  "mauris",
  "dolor",
  "non",
  "justo.",
  "Suspendisse",
  "luctus",
  "a",
  "libero",
  "a",
  "ultricies.",
  "Proin",
  "vulputate",
  "odio",
  "vitae",
  "lorem",
  "faucibus",
  "accumsan.",
  "Mauris",
  "sed",
  "justo",
  "mi.",
  "Nulla",
  "sed",
  "semper",
  "lorem.",
  "Curabitur",
  "lorem",
  "leo,",
  "efficitur",
  "scelerisque",
  "egestas",
  "in,",
  "tempor",
  "ut",
  "est.",
  "Suspendisse",
  "gravida",
  "enim",
  "faucibus",
  "augue",
  "placerat,",
  "et",
  "varius",
  "lorem",
  "sollicitudin.",
  "Vivamus",
  "sit",
  "amet",
  "euismod",
  "felis.",
  "Phasellus",
  "nec",
  "venenatis",
  "turpis,",
  "dignissim",
  "molestie",
  "felis.",
  "Fusce",
  "sed",
  "odio",
  "in",
  "diam",
  "luctus",
  "commodo",
  "ac",
  "id",
  "eros.",
  "Pellentesque",
  "habitant",
  "morbi",
  "tristique",
  "senectus",
  "et",
  "netus",
  "et",
  "malesuada",
  "fames",
  "ac",
  "turpis",
  "egestas.",
  "Morbi",
  "a",
  "ante",
  "bibendum",
  "ante",
  "eleifend",
  "placerat",
  "eu",
  "id",
  "justo.",
  "Nulla",
  "vestibulum",
  "luctus",
  "lorem,",
  "non",
  "vehicula",
  "quam",
  "fermentum",
  "quis.",
  "Sed",
  "eget",
  "augue",
  "ut",
  "tortor",
  "suscipit",
  "aliquam",
  "quis",
  "ac",
  "velit.",
  "Morbi",
  "ac",
  "lacus",
  "dictum,",
  "congue",
  "mi",
  "ut,",
  "lobortis",
  "quam.",
  "Integer",
  "maximus",
  "magna",
  "eu",
  "faucibus",
  "congue.",
  "Curabitur",
  "iaculis",
  "magna",
  "et",
  "maximus",
  "pretium.",
  "Fusce",
  "non",
  "malesuada",
  "ligula.",
  "Vivamus",
  "vitae",
  "ex",
  "imperdiet,",
  "mollis",
  "enim",
  "nec,",
  "mattis",
  "orci.",
  "Duis",
  "ut",
  "ex",
  "hendrerit,",
  "dapibus",
  "augue",
  "et,",
  "mattis",
  "mauris.",
  "Cras",
  "mattis",
  "lacinia",
  "efficitur.",
  "Suspendisse",
  "potenti.",
  "Nunc",
  "magna",
  "est,",
  "mollis",
  "quis",
  "varius",
  "rhoncus,",
  "tempus",
  "nec",
  "magna.",
  "Praesent",
  "posuere",
  "condimentum",
  "velit,",
  "in",
  "volutpat",
  "dui",
  "vehicula",
  "quis.",
  "Fusce",
  "auctor",
  "nisi",
  "lectus,",
  "sed",
  "euismod",
  "nisl",
  "sodales",
  "ut.",
  "Duis",
  "et",
  "convallis",
  "dui,",
  "ac",
  "sollicitudin",
  "eros.",
  "Morbi",
  "laoreet,",
  "odio",
  "et",
  "efficitur",
  "pharetra,",
  "dolor",
  "nibh",
  "bibendum",
  "turpis,",
  "vitae",
  "eleifend",
  "nunc",
  "odio",
  "at",
  "lectus.",
  "Vestibulum",
  "ut",
  "urna",
  "eu",
  "nibh",
  "interdum",
  "blandit",
  "sed",
  "elementum",
  "felis.",
  "Vivamus",
  "et",
  "risus",
  "ut",
  "dui",
  "congue",
  "imperdiet.",
  "Maecenas",
  "turpis",
  "diam,",
  "viverra",
  "nec",
  "interdum",
  "ut,",
  "congue",
  "eget",
  "ex.",
  "Phasellus",
  "rutrum",
  "ipsum",
  "enim,",
  "eu",
  "auctor",
  "orci",
  "ultricies",
  "id.",
  "Nam",
  "hendrerit",
  "pellentesque",
  "turpis",
  "nec",
  "pretium.",
  "Nulla",
  "quis",
  "porttitor",
  "velit,",
  "tincidunt",
  "consectetur",
  "eros.",
  "Aliquam",
  "dictum",
  "metus",
  "arcu,",
  "sit",
  "amet",
  "sodales",
  "augue",
  "ullamcorper",
  "eget.",
  "Vivamus",
  "viverra",
  "sem",
  "metus,",
  "et",
  "ultrices",
  "felis",
  "aliquet",
  "at.",
  "Aliquam",
  "erat",
  "volutpat.",
  "",
|];

let getRandomWord = (): string => words[Random.int(Array.length(words))];
